REM - MadInstall.cmd
REM
CLS
@Echo OFF
Echo Here we begin the installation of MadSim ... 
Echo the Windows memory-mapped device simulation suite.
Echo .
Echo The pause between steps allow us to verify the results.
pause
REM Echo .
REM Echo .
REM Echo $.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$.$
REM Echo First we add certificates to the certificate store needed for test-signing
REM Echo .
REM CertMgr.exe -add MadsimWin10.pfx -s -r localMachine root
REM CertMgr.exe -add MadsimWin10.pfx -s -r localMachine trustedpublisher
REM Echo .
REM Echo Test sign certificate(s) should now be installed.
REM pause
REM Echo .
REM Echo .
Echo #.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#
Echo Now we update the BCD store to enable test-signing ... (patience) ...
Echo .
BcdEdit.exe /set testsigning ON
Rem Bcdedit.exe /set nointegritychecks ON
Echo .
Echo Test-signing should be enabled after we reboot.
Echo This will be indicated by 'Test Mode' in the desktop lower right corner.  
pause
Echo .
Echo .
Echo "|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|.|"
Echo Next we install the root-enumerated (virtual) bus driver ... MadBus.sys.
Echo It will have no PnP device plugged in to cause it to load.
Echo It will be loaded at boot time.
Echo .
Echo It may be necessary to click {Install this driver...} to continue
Echo The install may appear to fail but should be corrected after we reboot. 
Echo Patience ... patience ... patience ... possibly a few minutes !
Echo .
Devcon.exe install MadBus.inf root\MadBus1
Devcon.exe install MadBus.inf root\MadBus2
Echo .
Echo MadDevice_Bus_Enumerator should appear in Device Mngr under system devices.
Echo It may be "yellow-banged" indicating a start failure until we reboot.
pause
Echo .
Echo .
Echo *.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*
Echo Next we 'software-first' pre-install the device driver package MadDevice. 
Echo ( "No device found. Driver will be installed when plugged in" is expected ).
Echo Individual devices will be installed when they are first plugged in.
Echo .
Echo "When the install wizard appears click {Next}, {Install this driver...}, then {Finish}..."
pause
DPinst.exe /C  
Echo .
Echo The driver package should now be installed in the DIFx driver store.
Echo It should be visible in "ControlPanel\Programs&Features" under HTF Consulting.
Echo .
Pause
Echo .
Echo .
Echo +.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+.+
Echo Lastly - we reboot here to activate all of our changes above.
Echo Remember Test Mode in the lower right corner indicates test-signing is enabled.
Echo After rebooting open the MadSim folder in File Explorer. 
Echo Open the file Readme.Mad.txt and follow the tutorial.
Echo Remember you can find a demonstration of the 1st two tutorial exercises here 
Echo .
Echo .................... http://www.htfsoftware.com ..........................
Echo .
pause
Echo .
Echo Rebooting in 12 seconds ...
Shutdown.exe /r /t 12 /c "Activating changes made by installing MadSim" 
REM Shutdown.exe /a

